Skip to content

List notification categories

GET
/v1/preferences/categories
curl --request GET \
--url 'https://your-notavia-host/v1/preferences/categories?include_archived=false' \
--header 'Authorization: Bearer <token>'
include_archived
boolean

Categories list.

Media type application/json
object
data
Array<object>
object
id
string format: uuid
key
string
name
string
description
string
nullable
is_critical
boolean
default_channels
Array<string>
Allowed values: email in_app webhook sms slack teams discord
default_opt_in
boolean
is_archived
boolean
Example
{
"data": [
{
"default_channels": [
"email"
]
}
]
}

Missing or invalid credentials.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}

Credentials do not have the required scope.

Media type application/json
object
error
required
object
type
required
string
code
required
string
message
required
string
param
string
nullable
Example generated
{
"error": {
"type": "example",
"code": "example",
"message": "example",
"param": "example"
}
}